"use strict";
/*
 * Copyright (c) 2017, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var _1 = require("./components/");
var okta_service_1 = require("./services/okta.service");
var okta_guard_1 = require("./okta.guard");
var okta_config_1 = require("./models/okta.config");
var OktaAuthModule = /** @class */ (function () {
    function OktaAuthModule() {
    }
    OktaAuthModule.initAuth = function (config) {
        return {
            ngModule: OktaAuthModule,
            providers: [
                okta_guard_1.OktaAuthGuard,
                okta_service_1.OktaAuthService,
                { provide: okta_config_1.OKTA_CONFIG, useValue: config }
            ]
        };
    };
    OktaAuthModule.decorators = [
        { type: core_1.NgModule, args: [{
                    declarations: [
                        _1.OktaCallbackComponent,
                        _1.OktaLoginRedirectComponent
                    ],
                    exports: [
                        _1.OktaCallbackComponent,
                        _1.OktaLoginRedirectComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    OktaAuthModule.ctorParameters = function () { return []; };
    return OktaAuthModule;
}());
exports.OktaAuthModule = OktaAuthModule;
//# sourceMappingURL=okta.module.js.map